Bug 216095 - RFE : compiz viewport support in libwnck
RFE : compiz viewport support in libwnck
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: libwnck (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-17 03:25 EST by Didier
Modified: 2014-06-18 05:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-22 11:30:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Didier 2006-11-17 03:25:00 EST
Description of problem:

When using compiz as WM, the window menu Workspace actions ("Always on Visible
Workspace", "Move to Another Workspace", ...) are lost.

This reduced functionality prohibits the use of e.g. sticky terminal windows.


Version-Release number of selected component (if applicable):
libwnck-2.16.0-4.fc6


Additional info:

I applied the viewport libwnck patches as referred to in
https://launchpad.net/products/libwnck/+bug/63208. Notwithstanding some hunk
offsets, they apply cleanly against current libwnck.

Unfortunately, the patches lead to erroneous behaviour in the "Workspace
Switcher" applet, and regularly segfault gtk-window-decorator (compiz git 20061116).
Comment 1 Didier 2006-11-17 03:34:40 EST
For quick testing, a libwnck source rpm with the patches mentioned in comment #1
(applied against current libwnck-2.16.0-4.fc6) is to be found at
http://www.dmbr.ugent.be/~didier/compiz/libwnck-2.16.0-5_dmn.src.rpm .

At the same location, an updated compiz (see also bug #208044, comment #26),
which is compiled with the patched libwnck-devel is available :
http://www.dmbr.ugent.be/~didier/compiz/compiz-0.3.3-20061116git_1_dmn.i386.rpm .
Comment 2 Didier 2006-11-22 11:30:03 EST
Upstream : http://bugzilla.gnome.org/show_bug.cgi?id=352383

Note You need to log in before you can comment on or make changes to this bug.